.docker-certificates:
  before_script:
    #    - "if [ -z $DOCKER_TLS_CA ]; then false;fi"
    - echo "$DOCKER_TLS_CA" > ~/.docker/ca.pem
    - echo "$DOCKER_TLS_CERT" > ~/.docker/cert.pem
    - echo "$DOCKER_TLS_KEY" > ~/.docker/key.pem
    - "export SAMBA_DC_APP_ROLE_SECRET=$(vault write -field='secret_id' -f auth/approle/role/domain_controller/secret-id)"

deploy:dc1:
  stage: deploy
  variables:
    DOCKER_HOST: "tcp://dc1.rmt.local:2376"
    DOCKER_TLS_VERIFY: 1
  script:
    - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" "$CI_REGISTRY"
    - docker-compose -f compose/dc1.yml pull
    - docker-compose -f compose/dc1.yml down
    - docker-compose -f compose/dc1.yml rm -sf
    - docker-compose -f compose/dc1.yml up -d
  extends:
    - .docker-certificates
  when: manual

deploy:dc2:
  stage: deploy
  variables:
    DOCKER_HOST: "tcp://dc2.rmt.local:2376"
    DOCKER_TLS_VERIFY: 1
  script:
    - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" "$CI_REGISTRY"
    - docker-compose -f compose/dc2.yml pull
    - docker-compose -f compose/dc2.yml down
    - docker-compose -f compose/dc2.yml rm -sf
    - docker-compose -f compose/dc2.yml up -d
  extends:
    - .docker-certificates
  when: manual
